Skip to main content
GET
/
invoices
/
{id}
/
items
Rechnungspositionen abrufen
curl --request GET \
  --url https://api.comstruct.com/v1/invoices/{id}/items \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "index": 0,
      "id": 123,
      "product_number": "<string>",
      "title": "<string>",
      "description": "<string>",
      "type": "REMOVAL",
      "quantity": 123,
      "unit": "<string>",
      "unit_net_price": 123,
      "net_price": 123,
      "deducted_quantity": 123,
      "deducted_unit_net_price": 123,
      "deducted_net_price": 123,
      "delivery_number": "<string>",
      "delivery_date": "2023-12-25",
      "item_position": 123,
      "matched_delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "matched_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "matched_price": true,
      "matched_quantity": true,
      "discount": 123,
      "special_discount": 123,
      "comment": "<string>",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "llm_factual_match_reason": "<string>",
      "llm_factual_match_status": "<string>",
      "positions": [
        {}
      ]
    }
  ]
}
Returns line items for an invoice as items, ordered by index. Not included on GET /invoices or GET /invoices/{id}.

Authorizations

X-API-Key
string
header
required

API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.

Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.

Path Parameters

id
integer
required

Rechnungs-ID (Integer)

Response

Erfolgreich

items
object[]
required

Rechnungspositionen sortiert nach index